////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// graphics10.c
// - Illustration of the font settings.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open a display and set graphics parameters
	ts5_install_display();
	ts5_set_coordinate_scale(TS5_RELATIVE_COORDINATES);
	
	// draw the letter A in each font and style, cycle size
	int i;
	for (i=8; i<100; i+=5) {
		
		ts5_clear_display();
		ts5_set_font_size(i);
		
		ts5_set_font_type(TS5_COURIER);
		ts5_set_font_style(TS5_REGULAR);
		ts5_printf(-0.3, 0.75, "A");
		ts5_set_font_style(TS5_BOLD);
		ts5_printf(-0.3, 0.25, "A");
		ts5_set_font_style(TS5_ITALIC);
		ts5_printf(-0.3, -0.25, "A");
		ts5_set_font_style(TS5_BOLD_ITALIC);
		ts5_printf(-0.3, -0.75, "A");
		
		ts5_set_font_type(TS5_ARIAL);
		ts5_set_font_style(TS5_REGULAR);
		ts5_printf(0.0, 0.75, "A");
		ts5_set_font_style(TS5_BOLD);
		ts5_printf(0.0, 0.25, "A");
		ts5_set_font_style(TS5_ITALIC);
		ts5_printf(0.0, -0.25, "A");
		ts5_set_font_style(TS5_BOLD_ITALIC);
		ts5_printf(0.0, -0.75, "A");
		
		ts5_set_font_type(TS5_TIMES);
		ts5_set_font_style(TS5_REGULAR);
		ts5_printf(0.3, 0.75, "A");
		ts5_set_font_style(TS5_BOLD);
		ts5_printf(0.3, 0.25, "A");
		ts5_set_font_style(TS5_ITALIC);
		ts5_printf(0.3, -0.25, "A");
		ts5_set_font_style(TS5_BOLD_ITALIC);
		ts5_printf(0.3, -0.75, "A");
		
		ts5_printf(0.0, 0.0, "%d", i);
		ts5_flip_display();
		ts5_wait(0.1);
	}
	
	// wait for a click
	ts5_draw_mouse_button(0.9,-0.8);
	
	
	return 0;
}