////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file audio_internal.h
/// Declarations of internal audio functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"

extern int _ts5_is_audio_installed;
extern int _ts5_is_audio_recorder_installed;
extern int _ts5_is_audio_recorder_recording;
extern int _ts5_is_voicekey_installed;

#ifdef __cplusplus
extern "C" {
#endif

void ts5_check_audio(char *calling_function);
void ts5_install_audio(char *calling_function);
void ts5_uninstall_audio();

void ts5_check_audio_recorder(char *calling_function);
void ts5_check_audio_recorder2(char *calling_function);
void ts5_check_audio_recorder3(char *calling_function, TS5_SAMPLE *sample);
void ts5_install_audio_recorder(char *calling_function);
void ts5_uninstall_audio_recorder();	

void ts5_check_voicekey(char *calling_function);
void ts5_install_voicekey(char *calling_function);
void ts5_uninstall_voicekey();


#ifdef __cplusplus
}
#endif

