////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file cedrusbox_internal.h
/// Declarations of internal cedrusbox functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

extern int  _ts5_is_cedrusbox_installed;


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_check_cedrusbox(char *calling_function);

void ts5_install_cedrusbox(char *calling_function);
void ts5_uninstall_cedrusbox();

unsigned int ts5_read_cedrusbox(int port, 
	char *buff, unsigned long bytes_to_read);

unsigned int ts5_write_cedrusbox(int port, 
	char *buff, unsigned long bytes_to_write);

void ts5_fflush_cedrusbox(int port);

void *ts5_cedrusbox_threadfunc();

#ifdef __cplusplus
}
#endif

