////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file parport.h
/// Declarations of parallel port functions
////////////////////////////////////////////////////////////////////////////////

#pragma once


#ifdef __cplusplus
extern "C" {
#endif
	
int ts5_define_parport_button(int device, int button);
int ts5_get_num_parport_buttons(int device);

double ts5_set_parport_button_debounce_time(int device, double button_debounce_time);
double ts5_get_parport_button_debounce_time(int device);

void ts5_define_parport_trigger_input(int device);
void ts5_simulate_parport_trigger_input(int device, unsigned char value, double interval);

double ts5_set_parport_trigger_debounce_time(int device, double trigger_debounce_time);
double ts5_get_parport_trigger_debounce_time(int device);

void ts5_send_parport_trigger(int device, unsigned char value);
double ts5_set_parport_trigger_output_time(int device, double trigger_output_time);
double ts5_get_parport_trigger_output_time(int device);

int ts5_set_num_parports(int num_parports);
int ts5_get_num_parports();
short ts5_set_parport_address(int device, short address);
short ts5_get_parport_address(int device);

#ifdef __cplusplus
}
#endif

