////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file primitives.h
/// Declarations of primitives drawing functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"


#ifdef __cplusplus
extern "C" {
#endif
	
void ts5_draw_pixel(double x, double y);
TS5_COLOR ts5_get_pixel_color(double x, double y);
void ts5_draw_line(double x1, double y1, double x2, double y2);
void ts5_draw_rectangle(double x1, double y1, double x2, double y2);

void ts5_draw_rounded_rectangle
	(double x1, double y1, double x2, double y2, double rx, double ry);

void ts5_draw_triangle
	(double x1, double y1, double x2, double y2, double x3, double y3);

void ts5_draw_circle(double cx, double cy, double r);
void ts5_draw_ellipse(double cx, double cy, double rx, double ry);
void ts5_draw_arc(double cx, double cy, double r, double start, double delta);

#ifdef __cplusplus
}
#endif

