////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file video.h
/// Declarations of video functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"


#ifdef __cplusplus
extern "C" { 
#endif
	
TS5_VIDEO *ts5_read_video(const char *file);
void ts5_free_video(TS5_VIDEO *video);

void ts5_play_video(TS5_VIDEO *video);
void ts5_pause_video(TS5_VIDEO *video);
void ts5_stop_video(TS5_VIDEO *video);
int ts5_get_video_status(TS5_VIDEO *video);

TS5_BITMAP *ts5_get_video_frame(TS5_VIDEO *video);
	
double ts5_get_video_aspect_ratio(TS5_VIDEO *video);
double ts5_get_video_width(TS5_VIDEO *video);	
double ts5_get_video_height(TS5_VIDEO *video);

double ts5_get_video_samplerate(TS5_VIDEO *video);
double ts5_get_video_framerate(TS5_VIDEO *video);

double ts5_set_video_position(TS5_VIDEO *video, double position);
double ts5_get_video_position(TS5_VIDEO *video);
	
double ts5_set_video_gain(TS5_VIDEO *video, double gain);
double ts5_get_video_gain(TS5_VIDEO *video);
		
#ifdef __cplusplus
}
#endif

